handUp10 = false

function Visual_10 (timeScene)
	currentMult.Scene10.Fon.x          = 250
	currentMult.Scene10.Fon.y          = 180
	currentMult.Scene10.Fon.scale      = lerp(1.1, 1, timeScene)
	currentMult.Scene10.Wall.x         = 250  
	currentMult.Scene10.Wall.y         = 200  
	currentMult.Scene10.Wall.scale     = lerp (1.18,1,     timeScene)
	currentMult.Scene10.Magician.x     = lerp (200, 249,   timeScene)
	currentMult.Scene10.Magician.y     = lerp (200, 162,   timeScene)
	currentMult.Scene10.Magician.scale = lerp (1,   0.625, timeScene)	
	currentMult.Scene10.Light.x        = lerp (800, 450,   timeScene)   
	currentMult.Scene10.Light.y        = lerp (-10, 120,   timeScene) 
	currentMult.Scene10.Light.scale    = lerp (1.2, 1,     timeScene) 	
	currentMult.Scene10.Gryphon.x      = lerp (-500,100,   timeScene) 
	currentMult.Scene10.Gryphon.y      = lerp (-100,98,    timeScene) 		
	currentMult.Scene10.Gryphon.scale  = lerp (1.2, 1,     timeScene)
	currentMult.Effect10.Candle1.x     = lerp (13,  130,   timeScene) 
	currentMult.Effect10.Candle1.y     = lerp (190, 160,   timeScene) 		
	currentMult.Effect10.Candle2.x     = lerp (805, 455,   timeScene) 
	currentMult.Effect10.Candle2.y     = lerp (80,  210,   timeScene)

	currentMult.Scene10A.Faerie.x       = lerp (-480+16,120+16,   timeScene)
	currentMult.Scene10A.Faerie.y       = lerp (-20-4,178-4,    timeScene) 		
	currentMult.Scene10A.Faerie.scale   = lerp (1.2, 1,     timeScene)
	
	currentMult.Effect10.Sphere.x   = lerp(410, 380, timeScene) 
	currentMult.Effect10.Sphere.y   = lerp(160, 140, timeScene) 

	if (timeScene > 0.84) and (handUp10 == false) then
		handUp10 = true
		currentMult.Scene10A.Faerie:Do("HandUp")
	end
end                                                       

function Scene10Show()
	handUp10 = false
	currentMult.Scene10.layer.isVisible = true
	currentMult.Scene10A.layer.isVisible = true
	currentMult.Effect10.Candle1:Do ("Reset")
	currentMult.Effect10.Candle2:Do ("Reset")
	currentMult.Effect10.Sphere:Do ("Reset")
end 
    
function Scene10Hide()
	currentMult.Scene10.layer.isVisible = false	
	currentMult.Scene10A.layer.isVisible = false	
	currentMult.Effect10.Candle1:Do ("Finish")
	currentMult.Effect10.Candle2:Do ("Finish")
	currentMult.Effect10.Sphere:Do ("Finish")
end                                
